Jack::AtomicCounter Struct Reference

Counter for CAS. More...

`#include <JackAtomicState.h>`

## Public Member Functions

| AtomicCounter (volatile const AtomicCounter &obj)
| AtomicCounter (volatile AtomicCounter &obj)
AtomicCounter & | operator= (AtomicCounter &obj)
AtomicCounter & | operator= (volatile AtomicCounter &obj)

## Public Attributes

union {
struct {
UInt16 fShortVal1
UInt16 fShortVal2
} scounter
UInt32 fLongVal
} | info

## Detailed Description

Counter for CAS.

Definition at line 35 of file JackAtomicState.h.

The documentation for this struct was generated from the following file:

- JackAtomicState.h